NNTPGET(1)

NAME
nntpget - get Usenet articles from a remote NNTP server

SYNOPSIS
nntpget [ -d dist ] [ -f file ] [ -n newsgroups ] [ -t timestring ] [ -o ] [ -u file ] [ -v ] host

DESCRIPTION
Nntpget connects to the NNTP server at the specified host and retrieves articles from it. The Message-ID's of the desired articles are read from standard input. The articles are sent to standard output.

OPTIONS

-o  The ``-o'' option may be used only if the command is executed on the host where the innd(8) server is running. If this option is used, nntpget connects to the specified remote host to retrieve articles. Any article not present in the local history database is then fetched from the remote site and offered to the local server.

-v  If the ``-v'' option is used with the ``-o'' option then the Message-ID of each article will be sent to standard output as it is processed.

-f  The list of article Message-ID's is normally read from standard input. If the ``-f'' option is used, then a ``newnews'' command is used to retrieve all articles newer then the modification date of the specified file.

-u  The ``-u'' option is like ``-f'' except that if the transfer succeedes, the file will be updated with a statistics line, modifying its timestamp so that it can be used in later invocations.

-t  If the ``-t'' option is used, then the specified timestring is used as the time and date parameter to the ``newnews'' command.

-n  If either the ``-u'' or ``-f'' options are used, then the ``-n'' option may be used to specify a newsgroup list. The default is ``*''.

-d  The ``-d'' option may be used to specify a distribution list when using the ``-u'' or ``-f'' options. The default is no distribution list.

HISTORY
Written by Rich $alz <rsalz@uunet.uu.net> for InterNetNews.

SEE ALSO
innd(8).